#pragma once
#include <mof/tstring.hpp>
#include "mof/sound/SoundBuffer.hpp"
#include <memory>

namespace mof
{
	class StaticSoundBuffer;
	class StreamSoundBuffer;

namespace sound
{
	namespace SoundDevice
	{
		bool initialize(HWND hWnd, bool enable_output);
		void finalize();
		std::unique_ptr<StaticSoundBuffer> create_static_sound(const mof::tstring& filename);
		std::unique_ptr<StreamSoundBuffer> create_streaming_sound(const mof::tstring& filename);
	}
}
}
